SimpleSelfRebuff:_rev("$Revision: 42763 $")

SimpleSelfRebuff:RegisterBuffSetup(function(self, BS, class, L)
	if class ~= 'PALADIN' then return end

	-- subcast is used to group blessings
	self:GetCategory(L['Blessing'])
		:add( BS['Blessing of Kings'],		         'subcat', 'kings'     )
		:add( BS['Blessing of Light'],		         'subcat', 'light'     )
		:add( BS['Blessing of Might'],		         'subcat', 'might'     )
		:add( BS['Blessing of Salvation'],		     'subcat', 'salvation' )
		:add( BS['Blessing of Sanctuary'],		     'subcat', 'sanctuary' )
		:add( BS['Blessing of Wisdom'],		         'subcat', 'wisdom'    )
		:add( BS['Greater Blessing of Kings'],     'subcat', 'kings'     )
		:add( BS['Greater Blessing of Light'],     'subcat', 'light'     )
		:add( BS['Greater Blessing of Might'],     'subcat', 'might'     )
		:add( BS['Greater Blessing of Salvation'], 'subcat', 'salvation' )
		:add( BS['Greater Blessing of Sanctuary'], 'subcat', 'sanctuary' )
		:add( BS['Greater Blessing of Wisdom'],    'subcat', 'wisdom'    )
	
	self:GetCategory(L['Aura']):addMulti(
		BS['Devotion Aura'],
		BS['Retribution Aura'],
		BS['Crusader Aura'],
		BS['Sanctity Aura'],
		BS['Fire Resistance Aura'],
		BS['Shadow Resistance Aura'],
		BS['Frost Resistance Aura'],
		BS['Concentration Aura']
	)

	self:AddStandaloneBuff( BS['Righteous Fury'] )

	self:GetCategory(self.CATEGORY_TRACKING)
		:add( BS['Sense Undead'] )	
	
end)
